Skip to main content
`Ctrl`+`K`

# TSPseudoSetMaxTimeStep

Sets the maximum time step when using the TSPseudoTimeStepDefault() routine.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoSetMaxTimeStep(TS ts, PetscReal maxdt)

Logically Collective

## Input Parameters

- ts - the timestep context

- maxdt - the maximum time step, use a non-positive value to deactivate

## Options Database Key

- -ts_pseudo_max_dt <increment> - set pseudo max dt

## See Also

TS: Scalable ODE and DAE Solvers, `TSPSEUDO`, `TSPseudoSetTimeStep()`, `TSPseudoTimeStepDefault()`

## Level

advanced

## Location

src/ts/impls/pseudo/posindep.c

## Implementations

TSPseudoSetMaxTimeStep_Pseudo() in src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages